// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdVideoIdentProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdVideoIdentProductPlugin", targets: ["WebIdVideoIdentProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-ident-scan-plugin-spm",
            .exact("12.5.1")
        ),
        .package(
            name: "WebIdOnServerDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-on-server-document-scanner-spm",
            .exact("12.5.1")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-digital-signing-plugin-spm",
            .exact("11.4.1")
        ),
        .package(
            name: "WebIdVideoIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-video-ident-plugin-spm",
            .exact("10.7.1")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdVideoIdentProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdVideoIdentProductPlugin/13.4.1/WebIdVideoIdentProductPlugin.framework-v13.4.1-SNAPSHOT-1278.zip",
            checksum: "25a7aba2e36002abd42059fefea0be8ad2026fe7628ba510662d23cc96c968e2"
        ),
        .target(
            name: "WebIdVideoIdentProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdVideoIdentProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdOnServerDocumentScanner", package: "WebIdOnServerDocumentScanner"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
                .product(name: "WebIdVideoIdentPlugin", package: "WebIdVideoIdentPlugin"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
